#include <stdio.h>
#include "math_vector3D.h"

#include <math.h>

void V3D_Normalize (vector3D *v)
{
	float r = sqrt(v->x * v->x + v->y * v->y + v->z * v->z);

	if (r!=0)
	{
		v->x /= r;
		v->y /= r;
		v->z /= r;
	}
}

void V3D_Copy(vector3D *src, vector3D *dst)
{
	dst->x = src->x;
	dst->y = src->y;
	dst->z = src->z;
}
